---
description: >
    At Kotlinconf 2024 on May 25,
    Paul Merlin and Sterling Greene presented the current status of Declarative Gradle.
---

# KotlinConf 2024 - Developer-first Gradle builds

At Kotlinconf 2024 on May 25,
Paul Merlin and Sterling Greene presented on Developer-first Gradle builds
and the current status of Declarative Gradle.

## Abstract

In the ever-evolving landscape of software development, the efficiency of build systems plays a pivotal role in project success. Part of our vision for Gradle is to deliver an elegant and extensible declarative build language that allows developers to describe any kind of software in a clear and understandable way. Our current effort is described in https://blog.gradle.org/declarative-gradle.

This session delves into the challenges faced by developers when understanding and maintaining complex build scripts and demonstrates an innovative approach that harnesses the expressiveness of Kotlin while imposing restrictions to enhance clarity and maintainability. Attendees will gain insights into the rationale behind adopting a declarative paradigm for build definition and the benefits it brings to project workflows.

Key topics covered include:

- Declarative Build Principles: Understand the advantages of a declarative build language and its impact on project maintainability, readability, and collaboration.
- Expressive DSL: Explore the capabilities of the DSL and how it serves as a powerful tool for expressing build configuration concisely.
- Impact on projects: Explore case studies of projects that use a declarative build language, showcasing improvements in build performance, understanding, and maintenance.

By attending this session, software developers and build engineers will leave with practical insights and knowledge about crafting a more maintainable, expressive, and declarative Gradle build definition.

## References

- [Video Recording](https://youtu.be/bhb8y8cJVy0?t=958)
- [Slides](https://eskatos.github.io/declarative-kotlinconf-2024/2024-kotlinconf.html#/)
- [Slides (PDF)](https://eskatos.github.io/declarative-kotlinconf-2024/2024-kotlinconf-declarative-gradle-slides.pdf)

## Slides

<iframe width="950" height="520"
    src="https://eskatos.github.io/declarative-kotlinconf-2024/2024-kotlinconf.html#/">
</iframe>

